![banner](http://shakedzy.xyz/dython/images/index_banner.png)

# Dython

[![PyPI Version](https://img.shields.io/pypi/v/dython.svg)](https://pypi.org/project/dython/)
[![Conda Version](https://img.shields.io/conda/vn/conda-forge/dython)](https://anaconda.org/conda-forge/dython)
[![Python Version](https://img.shields.io/pypi/pyversions/dython.svg)](https://pypi.org/project/dython/)
[![PyPI - Downloads](https://img.shields.io/pypi/dm/dython)](https://pypistats.org/packages/dython)
[![License](https://img.shields.io/pypi/l/dython)](https://github.com/shakedzy/dython/blob/master/LICENSE)
[![DOI](https://img.shields.io/badge/DOI-10.5281%2Fzenodo.12698421-eb34c6)](https://zenodo.org/doi/10.5281/zenodo.12698421)

A set of **D**ata analysis tools in p**YTHON** 3.x.

Dython was designed with analysis usage in mind - meaning ease-of-use, functionality and readability are the core 
values of this library. 

## Installation
Dython can be installed directly using `pip`:
```
pip install dython
```
or, via the `conda` package manager:
```
conda install -c conda-forge dython
```

## Documentation
Modules documentation can be found on [shakedzy.xyz/dython](http://shakedzy.xyz/dython).
You can also learn more and see examples of the main methods of this library on 
[these blogposts](http://shakedzy.xyz/dython/related_blogposts). 

## Contributing
Contributions are always welcomed - if you found something you can fix, or have an idea for a new feature, feel free to write it and open a pull request. Please make sure to go over the [contributions guidelines](https://github.com/shakedzy/dython/blob/master/CONTRIBUTING.md).

## Citing
Use this reference to cite if you use Dython in a paper:
```bibtex
@software{Zychlinski_dython_2018,
  author = {Zychlinski, Shaked},
  title = {{dython}},
  year = {2018},
  url = {https://github.com/shakedzy/dython},
  doi = {10.5281/zenodo.12698421}
}
```
